import { RangeCategorySeries } from "./RangeCategorySeries";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { NumericYAxis } from "./NumericYAxis";
import { Axis } from "./Axis";
import { Point, Type } from "igniteui-react-core/ES5/type";
import { SeriesHitTestMode } from "./SeriesHitTestMode";
import { ScalerParams } from "./ScalerParams";
/**
 * @hidden
 */
export declare abstract class HorizontalRangeCategorySeries extends RangeCategorySeries {
    static $t: Type;
    xAxis: CategoryAxisBase;
    yAxis: NumericYAxis;
    fetchXAxis(): Axis;
    fetchYAxis(): Axis;
    hn(): void;
    ah(a: Point): Point[][];
    ai(a: Point): Point[][];
    protected get_c3(): boolean;
    protected bd(): SeriesHitTestMode;
    getOffsetValue(): number;
    getCategoryWidth(): number;
    e9(a: Point, b: boolean): number;
    fb(a: Point, b: boolean): number;
    d6(a: Point, b: number, c: Axis, d: ScalerParams, e: number): number;
    ek(a: Point, b: boolean, c: boolean): number;
    ei(a: Point, b: boolean, c: boolean): number;
    eg(a: Point, b: boolean, c: boolean): number;
    la(a: Point, b: boolean, c: boolean): Point;
    lc(a: Point, b: boolean, c: boolean): Point;
    le(a: Point, b: boolean, c: boolean): Point;
    nu(): boolean;
    protected is(a: any, b: string, c: any, d: any): void;
    o7(a: any): boolean;
    o6(a: any): boolean;
    readonly useHighMarkerFidelity: boolean;
    static $$p: string[];
}
